from fermiinstallclass import FermiInstallClass

class InstallClass(FermiInstallClass):
    name = ("Fermi Generic Desktop Offsite Install")
    pixmap = "genericdesktopoffsite.png"
    sortPriority = 1
    showLoginChoice = 1
    description = ("If you are NOT onsite at Fermi and you are not part of a workgroup then this is your best choice. It allows for connection to Fermi via kerberos but does not require kerberos for local login's.  Thus it is only suitable for offsite. ")

    pkgstext = ("\tDesktop KDE)\n"
                 "\tFermi Kerberos\n"
                 "\tFermi OpenSSH client\n"
                 "\tOffice suite (OpenOffice)\n"
                 "\tWeb browser (Mozilla) \n"
                 "\tSound and video applications\n"
                 "\tSoftware Development Tools\n")

    def setGroupSelection(self, grpset, intf):
	FermiInstallClass.setGroupSelection(self, grpset, intf)

        grpset.selectGroup("fermigenericdesktopoffsitemeta", asMeta = 1)
        grpset.selectGroup("fermigenericdesktopoffsite")

    def setSteps(self, dispatch):
	FermiInstallClass.setSteps(self, dispatch);
